<?php 
if(isset($_GET['tab'])) {
    $current_tab = $_GET['tab'];
} else {
    $current_tab = "vimeo";
}
$videoiFrame = null;
?>
<div class="wrap">
    <?php include('vimeo-upgrade.php'); ?>
    <?php include('wpv-admin-menu.php'); ?>
    <div class="vimeosync">
        <div class="rvs-padding">
        <h1 class="rvs-title">Player Design</h1>
            <div class="rvs-container">
                <ul class="subsubsub">
                    <li><a class="<?= ($current_tab == "vimeo") ? 'current': '' ?>" href="/wp-admin/admin.php?page=rvs-video-design&tab=vimeo">Vimeo</a> | </li>
                    <li><a class="<?= ($current_tab == "youtube") ? 'current': '' ?>" href="/wp-admin/admin.php?page=rvs-video-design&tab=youtube">YouTube</a> | </li>
                </ul>
            </div>
            <div class="rvs-container rvs-box">
            <?php if($current_tab == "vimeo") {
                global $wpvs_vimeo_api_key;
                if( ! empty($wpvs_vimeo_api_key) ) { ?>
                <h3><?php _e('Vimeo Player', 'vimeosync'); ?></h3> 
               <?php  
            
                $vimeo_video_args = array(
                    'posts_per_page' => -1,
                    'post_type' => 'rvs_video',
                    'nopaging' => true,
                    'fields' => 'ids',
                    'post_status' => 'any',
                    'meta_query' => array(
                        'relation' => 'OR',
                         array(
                             'key' => '_rvs_video_type',
                             'value' => 'vimeo',
                             'compare' => '='
                         ),
                         array(
                             'key' => '_rvs_trailer_type',
                             'value' => 'vimeo',
                             'compare' => '='

                         )
                    )
                );
                
                $wpvs_vimeo_videos = get_posts( $vimeo_video_args );

                if( ! empty( $wpvs_vimeo_videos) ) {
                    foreach( $wpvs_vimeo_videos as $rvs_video_id ) {
                        $video_type = get_post_meta($rvs_video_id, '_rvs_video_type', true);
                        if(isset($_GET['settings-updated']) && $_GET['settings-updated']) {
                            $video_title = get_the_title($rvs_video_id);
                            if(!empty($video_type) && $video_type == "vimeo") {
                                rvs_update_vimeo_player($rvs_video_id, $video_title);
                            }

                            $trailer_type = get_post_meta($rvs_video_id, '_rvs_trailer_type', true);
                            if(!empty($trailer_type) && $trailer_type == "vimeo") {
                                rvs_update_vimeo_trailer($rvs_video_id, $video_title);
                            }
                        }
                        if( empty($videoiFrame) && $video_type == 'vimeo' ) {
                            $videoiFrame = get_post_meta($rvs_video_id, 'rvs_video_post_vimeo_html', true);
                        }
                    }
                }

            ?>

            <div id="rvs-video-preview">
                <h4>Video Preview</h4>
                <?php
                    if( ! empty($videoiFrame) ) {
                        echo '<div class="rvs-responsive-video">' . $videoiFrame . '</div>';
                    } else {
                        _e('You have not created any Vimeo videos', 'vimeosync');
                    }
                ?>
            </div>
            <div id="rvs-video-settings">
                <h4>Video Player Settings</h4>
                <p>If you have a Plus or PRO Vimeo Account, these settings may be overridden by your Embed preferences. <a href="https://vimeo.com/settings/videos/embed_presets" target="_blank">Manage Embed Presets</a>.</p>
                <form method="post" action="options.php">
                <?php
                    settings_fields( 'vimeo-sync-settings' );
                    do_settings_sections( 'vimeo-sync-settings' );
                    $defaultVimeoSettings = array (
                        'badge' => 1,
                        'byline' => 1,
                        'loop' => 0,
                        'portrait' => 1,
                        'title' => 1,
                        'color' => '#00adef',
                        'url' => '?badge=1&amp;&amp;byline=1&amp;color=00adef&amp;loop=0&amp;portrait=1&amp;title=1'
                    );
                    $vimeoOptions = get_option('rvs_vimeo_video_settings', $defaultVimeoSettings);

                if(!isset($vimeoOptions['badge'])) {
                    $vimeoOptions['badge'] = 0;
                }

                if(!isset($vimeoOptions['byline'])) {
                    $vimeoOptions['byline'] = 0;
                }

                if(!isset($vimeoOptions['loop'])) {
                    $vimeoOptions['loop'] = 0;
                }

                if(!isset($vimeoOptions['portrait'])) {
                    $vimeoOptions['portrait'] = 0;
                }

                if(!isset($vimeoOptions['title'])) {
                    $vimeoOptions['title'] = 0;
                }

                ?>
                <ul class="categorychecklist form-no-clear">
                    <li><label class="rvs_select"><input value="1" type="checkbox" id="rvs_badge" name="rvs_vimeo_video_settings[badge]" <?php checked(1, $vimeoOptions['badge'] ); ?>>Show Badge</label></li>
                    <li><label class="rvs_select"><input value="1" type="checkbox" id="rvs_byline" name="rvs_vimeo_video_settings[byline]" <?php checked(1, $vimeoOptions['byline'] ); ?>>Show Byline</label></li>
                    <li><label class="rvs_select"><input value="1" type="checkbox" id="rvs_loop" name="rvs_vimeo_video_settings[loop]" <?php checked(1, $vimeoOptions['loop'] ); ?>>Loop Video</label></li>
                    <li><label class="rvs_select"><input value="1" type="checkbox" id="rvs_portrait" name="rvs_vimeo_video_settings[portrait]" <?php checked(1, $vimeoOptions['portrait'] ); ?>>Show Portrait</label></li>
                    <li><label class="rvs_select"><input value="1" type="checkbox" id="rvs_title" name="rvs_vimeo_video_settings[title]" <?php checked(1, $vimeoOptions['title'] ); ?>>Show Video Title</label></li>
                </ul>
                <div id="rvs-vimeo-color">
                    <input id="rvs_color" name="rvs_vimeo_video_settings[color]" type="text" value="<?php echo $vimeoOptions['color']; ?>" class="rvs-color-field" />
                </div>
                <input value="<?php echo esc_attr($vimeoOptions['url']); ?>" type="text" id="rvs_url" name="rvs_vimeo_video_settings[url]" hidden/>
                <label id="applyVimeoSettings" class="rvs-button">Preview</label>
                    <input type="submit" name="rvs_update_settings" id="rvs_update_settings" class="rvs-button" value="Update Vimeo Videos" disabled>
                </form>
            </div>
        <?php } else { ?>
                <?php _e('You need to get a Vimeo Access Token', 'vimeosync'); ?>. <a href="<?php echo admin_url('?page=vimeo-sync'); ?>"><?php _e('Get Access Token', 'vimeosync'); ?></a>
        <?php } } if($current_tab == "youtube") {
            include('rvs-youtube-design.php');
        } ?>      
            </div>
        </div>
    </div>
</div>