<?php
/**
 *   Copyright 2015 Vimeo
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
global $wpvs_vimeo_api_key;
global $wpvs_video_slug_settings;
$vimeo_videos_per_page = get_option('wp-videos-admin-per-page', '50');
?>

<div class="wrap">
    <?php include('vimeo-upgrade.php'); ?>
    <?php include('wpv-admin-menu.php'); ?>
    <div class="vimeosync">
            <h1>WP Videos (Vimeo Import)</h1>
            <div class="rvs-container rvs-box">
                <?php if( ! empty($wpvs_vimeo_api_key) ) { ?>
                <div class="wp-videos-container">
                    <div class="wpvs-import-options border-box">
                        <div class="wpvs-import-option border-box">
                            <input id="input-videos-per-page" type="number" max="100" min="10" value="<?php echo $vimeo_videos_per_page; ?>" />
                            <label>Videos Per Page</label>
                        </div>
                    </div>
                    <div class="row">
                        <div id="rvs-vimeo-pages" class="border-box">
                            <label id="wp-prev-page">Previous</label>
                                <label id="wp-vimeo-page-numbers"></label>
                            <label id="wp-next-page">Next</label>
                        </div>
                        <div id="rvs-vimeo-controls" class="border-box">
                            <label id="wpv-import-button" class="rvs-button rvs-button-blue">Import <span id="wpv-upload-video-count">0</span> videos</label>
                        </div>
                    </div>
                    <table id="vimeo-videos-list">
                        <tbody>
                        <tr class="headings">
                            <th>Thumbnail</th>
                            <th>Title</th>
                            <th>Description</th>
                            <th>Import</th>
                        </tr>
                        <tr>
                            <th colspan="4" class="wp-select">Select All <input type="checkbox" id="wp-videos-select-all"></th>
                        </tbody>
                    </table>
                 

                    <div id="wpv-loading-videos">
                        <span id="wpvs-update-text" class="wpvs-loading-text">Loading videos...</span>
                        <span class="loadingCircle"></span>
                        <span class="loadingCircle"></span>
                        <span class="loadingCircle"></span>
                        <span class="loadingCircle"></span>
                    </div>
                    
                </div>
                <div class="wp-videos-container">
                    <h3>Editing Your Videos</h3>
                    <p>This will import your Vimeo videos into WordPress under <a href="<?php echo admin_url('/edit.php?post_type=rvs_video'); ?>" ><span class="dashicons-before dashicons-video-alt2"></span> Videos</a> in the left admin menu.</p>
                    <h3>Video Page</h3>
                    <p>The video archive page is <a href="<?php echo home_url('/'.$wpvs_video_slug_settings['slug']); ?>" target="_blank"><?php echo home_url('/'.$wpvs_video_slug_settings['slug']);?></a>.</p>
                    <p><a href="<?php echo admin_url('?page=wpvs-video-settings'); ?>"><?php _e('Customize slug settings', 'vimeosync'); ?></a></p>
                    <h3>Categorize</h3>
                    <p>You can also categorize videos into their own pages by <a href="<?php echo admin_url('/edit-tags.php?taxonomy=rvs_video_category&post_type=rvs_video'); ?>" >creating video categories</a>.</p>
                </div>
        <?php } else { ?>
            <?php _e('You need to get a Vimeo Access Token', 'vimeosync'); ?>. <a href="<?php echo admin_url('?page=vimeo-sync'); ?>"><?php _e('Get Access Token', 'vimeosync'); ?></a>
        <?php } ?>
        </div>
    </div>
</div>