<h3><?php _e('YouTube Player', 'vimeosync'); ?></h3>
<?php 
    $website_url = get_bloginfo('url');
    wp_enqueue_script( 'vimeo-sync-youtube-settings', RVS_BASE_URL . 'js/rvs-youtube-video-settings.js');
    wp_localize_script( 'vimeo-sync-youtube-settings', 'vsdetails',
            array( 'websiteurl' => $website_url));
 
    if(isset($_GET['settings-updated']) && $_GET['settings-updated']) {
        $all_video_args = array(
            'posts_per_page' => -1, 
            'post_type' => 'rvs_video',
            'post_status' => 'any'
        );
        $rvs_youtube_array = get_posts( $all_video_args );
        if(!empty($rvs_youtube_array)) {
            foreach($rvs_youtube_array as $rvs_video) {
                
                // UPDATE MAIN VIDEO
                $video_type = get_post_meta($rvs_video->ID, '_rvs_video_type', true);
                if(!empty($video_type) && $video_type == "youtube") {
                    rvs_update_youtube_player($rvs_video->ID);
                }
                
                // CHECK FOR TRAILER
                $trailer_type = get_post_meta($rvs_video->ID, '_rvs_trailer_type', true);
                if(!empty($trailer_type) && $trailer_type == "youtube") {
                    rvs_update_youtube_trailer($rvs_video->ID);
                }
            }
        }
    }

    $youtube_args = array(
        'posts_per_page' => -1, 
        'post_type' => 'rvs_video',
        'post_status' => 'any',
        'meta_key' => '_rvs_video_type',
        'meta_value' => 'youtube',
        'meta_compare' => '=',
        'fields' => 'ids'
    );

?>

<div id="rvs-video-preview">
    <h4>Video Preview</h4>
    <?php
        $youtube_videos = get_posts($youtube_args);
        if( ! empty($youtube_videos) ) {
            foreach($youtube_videos as $youtube_video_id) {
                $videoiFrame = get_post_meta($youtube_video_id, 'rvs_video_post_vimeo_html', true);
                if( ! empty($videoiFrame) ) {
                    echo '<div class="rvs-responsive-video">' . $videoiFrame . '</div>';
                    break;
                }
            }
        }
        if( empty($videoiFrame) ) {
            _e('Please add at least 1 YouTube video', 'vimeosync');
        }
    ?>

</div>
<div id="rvs-video-settings">
    <h4>Video Player Settings</h4>
    <form id="youtube-player-settings" method="post" action="options.php">
    <?php
        settings_fields( 'vimeo-sync-youtube' );
        do_settings_sections( 'vimeo-sync-youtube' );
        $default_youtube_player_settings = array (
            'cc_load_policy' => 0,
            'color' => "red",
            'controls' => 1,
            'enablejsapi' => 1,
            'showinfo' => 1,
            'youtubelogo' => 1,
            'rel' => 1,
            'url' => '?enablejsapi=1'
        );
        $youtube_player_settings = get_option('rvs_youtube_player_settings', $default_youtube_player_settings);
        
    if(!isset($youtube_player_settings['color'])) {
        $youtube_player_settings['color'] = "red";
    }

    if(!isset($youtube_player_settings['controls'])) {
        $youtube_player_settings['controls'] = 0;
    }

    if(!isset($youtube_player_settings['showinfo'])) {
        $youtube_player_settings['showinfo'] = 0;
    }
        
    if(!isset($youtube_player_settings['youtubelogo'])) {
        $youtube_player_settings['youtubelogo'] = 0;
    }

    if(!isset($youtube_player_settings['rel'])) {
        $youtube_player_settings['rel'] = 0;
    }
        
    if(!isset($youtube_player_settings['cc_load_policy'])) {
        $youtube_player_settings['cc_load_policy'] = 0;
    }

    ?>
    <ul class="categorychecklist form-no-clear">
        <li>
            <label class="rvs_select">
                <input value="1" type="checkbox" id="rvs-show-controls" name="rvs_youtube_player_settings[controls]" <?php checked( 1, $youtube_player_settings['controls'] ); ?>>
                Show Controls
            </label>
        </li>

        <li>
            <label class="rvs_select">
                <input value="1" type="checkbox" id="rvs-show-youtubelogo" name="rvs_youtube_player_settings[youtubelogo]" <?php checked( 1, $youtube_player_settings['youtubelogo'] ); ?>>
                Hide YouTube Logo
            </label>
            <em class="rvs-note">
            Only applicable with <strong>red</strong> progress bar and <strong>Controls on</strong>.
            </em>
        </li>
        <li>
            <label class="rvs_select">
                <input value="1" type="checkbox" id="rvs-cc-load-policy" name="rvs_youtube_player_settings[cc_load_policy]" <?php checked( 1 == $youtube_player_settings['cc_load_policy'] ); ?>>
                Show Closed Captions
            </label>
        </li>
        <li>
            <label class="rvs_select">
            <input value="1" type="checkbox" id="rvs-show-related-videos" name="rvs_youtube_player_settings[rel]" <?php checked( 1, $youtube_player_settings['rel'] ); ?>>
                Show Related Videos
            </label>
        </li>
    </ul>
        
    <div id="rvs-youtube-color">
        <strong>Progress Bar Color:</strong>
        <label class="rvs_select">
        <input value="red" type="radio" id="rvs-color-red" name="rvs_youtube_player_settings[color]" <?php checked( "red" == $youtube_player_settings['color'] ); ?>>Red</label>
        <label class="rvs_select">
        <input value="white" type="radio" id="rvs-color-white" name="rvs_youtube_player_settings[color]" <?php checked( "white" == $youtube_player_settings['color'] ); ?>>White</label>
    </div>

    <input value="<?php echo esc_attr($youtube_player_settings['url']); ?>" type="text" id="rvs-youtube-url" name="rvs_youtube_player_settings[url]" hidden/>
    <label id="apply-youtube-design" class="rvs-button">Preview</label>
    <input type="submit" name="rvs-update-youtube" id="rvs-update-youtube" class="rvs-button" value="Update YouTube Videos" disabled>
    </form>
</div>