<?php
use Vimeo\Vimeo;
global $wpvs_vimeo_api_key;
global $wpvs_vimeo_config;
?>
<div class="wrap">
    <?php include('vimeo-upgrade.php'); ?>
    <?php include('wpv-admin-menu.php'); ?>
    <div class="vimeosync">
        <h3>Vimeo Authentication</h3>
        <form method="post" action="options.php">
            <?php settings_fields( 'vimeo-sync-api' ); ?>
            <div class="rvs-container rvs-box">
            <table class="form-table">
                <tbody>
                    <tr><th scope="row">API Key</th>
                        <td><input type="text"  class="regular-text" name="rvs_user_api_key" value="<?php echo esc_attr( $wpvs_vimeo_api_key ); ?>" />
                        <?php
                            if( ! empty($wpvs_vimeo_api_key) ) {
                                $lib = new Vimeo($wpvs_vimeo_config['client_id'], $wpvs_vimeo_config['client_secret'], $wpvs_vimeo_api_key);
                                $me = $lib->request('/me');
                                if(array_key_exists("error", $me["body"]) && $me["body"]["error"]) {
                                    echo $me["body"]["error"];
                                    echo ' <a id="getApiKey" href="'
                                    . $lib->buildAuthorizationEndpoint(WPVS_VIMEO_REDIRECT_URI, array('public', 'private', 'upload'), $_SESSION['state'])
                                    . '" target="_blank">Get Access Token</a><br />';
                                    update_option('rvs_key_authenticated', false);
                                } else {
                                    echo "<span class='auth'>You're ready to go!</span>";
                                    update_option('rvs_key_authenticated', true);
                                    update_option('rvs_user_vimeo_account', $me["body"]["account"]);
                                }
                            } else {
                                $lib = new Vimeo($wpvs_vimeo_config['client_id'], $wpvs_vimeo_config['client_secret']);
                                $_SESSION['state'] = base64_encode(openssl_random_pseudo_bytes(30));
                                echo '<a id="getApiKey" href="'
                                    . $lib->buildAuthorizationEndpoint(WPVS_VIMEO_REDIRECT_URI, array('public', 'private', 'upload'), $_SESSION['state'])
                                    . '" target="_blank">Get Access Token</a><br />';
                            }
                        ?>
                            <label for="rvs_user_api_key">If you need to get a new API key, clear the field above, and press the <strong>Save Changes</strong> button below.</label>
                            <?php include('vimeo-upgrade.php'); ?>
                        </td>
                    </tr>
                </tbody>
            </table>
            </div>
            <div>
            <?php submit_button(); ?>
            </div>
        </form>
        <h3><?php _e('WPVS REST API', 'vimeosync'); ?></h3>
        <p><?php _e('The following are required to make restricted video content REST API requests', 'vimeosync'); ?></p>
            <?php
                $wpvs_rest_api_client_id = get_option('wpvs_rest_api_client_id', "");
                $wpvs_rest_api_secret = get_option('wpvs_rest_api_secret', "");
                $wpvs_rest_api_description = '<a href="https://www.wpvideosubscriptions.com/video-memberships/" target="_blank">WP Video Memberships</a> is not active.';
                if( wpvs_check_for_membership_add_on() ) {
                    if( empty($wpvs_rest_api_client_id) ) {
                        $wpvs_rest_api_client_id = wpvs_generate_secure_random_bytes(32);
                        if( ! empty($wpvs_rest_api_client_id) ) {
                            update_option('wpvs_rest_api_client_id', $wpvs_rest_api_client_id);
                        }
                    }
                    if( empty($wpvs_rest_api_secret) ) {
                        $wpvs_rest_api_secret = wpvs_generate_secure_random_bytes(32);
                        if( ! empty($wpvs_rest_api_secret) ) {
                            update_option('wpvs_rest_api_secret', $wpvs_rest_api_secret);
                        }
                    }
                    $wpvs_rest_api_description = __('WP Video Memberships is active! Use the following details to make restricted video content REST API requests.', 'vimeosync');
                }
            ?>
            <div class="rvs-container rvs-box">
                <p><?php echo $wpvs_rest_api_description; ?></p>
            <table class="form-table">
                <tbody>
                    <tr>
                        <th scope="row"><?php _e('Client ID', 'vimeosync'); ?></th>
                        <td><input type="text"  class="regular-text" name="wpvs_rest_api_client_id" value="<?php echo esc_attr( $wpvs_rest_api_client_id ); ?>" readonly onClick="this.select();"/>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row"><?php _e('Secret', 'vimeosync'); ?></th>
                        <td><input type="password"  class="regular-text" name="wpvs_rest_api_secret" id="wpvs_rest_api_secret" value="<?php echo esc_attr( $wpvs_rest_api_secret ); ?>" readonly onClick="this.select();"/>
                            <label id="show-wpvs-rest-secret"><?php _e('Show Secret', 'vimeosync'); ?></label>
                        </td>
                    </tr>
                </tbody>
            </table>
            </div>
            <div>
            </div>

    </div>
</div>
