var current_vimeo_page = 1;
var add_videos_array = new Array();
var update_video_list_timeout;
jQuery(document).ready( function() {

    wpv_pull_video_page(current_vimeo_page);
    
    jQuery('#input-videos-per-page').on('keyup', function() {
        var per_page_input = jQuery(this);
        if( update_video_list_timeout ) {
            clearTimeout(update_video_list_timeout);
        }
        update_video_list_timeout = setTimeout(function() {
            if(per_page_input.val() > 100) {
                per_page_input.val(100);
            } 

            if(per_page_input.val() < 1) {
                per_page_input.val(1);
            }
            current_vimeo_page = 1;
            wpv_pull_video_page(current_vimeo_page);
        }, 800);
    });
    
    jQuery('#wpv-import-button').click( function() {
        wpv_get_checked_videos();
        wpv_import_videos(add_videos_array);
    });

    
    jQuery('body').delegate('.wpv-page-number', 'click', function() {
        current_vimeo_page = jQuery(this).data('page');
        wpv_pull_video_page(current_vimeo_page);
    });
    
    
    jQuery('body').delegate('.wpv-video-check', 'change', function() {
        var new_count = wpv_get_checked_videos();
        jQuery('#wpv-upload-video-count').text(new_count);
    });
    
    jQuery('#wp-next-page').click( function() {
        current_vimeo_page++;
        wpv_pull_video_page(current_vimeo_page);
    });
    
    jQuery('#wp-prev-page').click( function() {
        current_vimeo_page--;
        wpv_pull_video_page(current_vimeo_page);
    });
    
    // Checkbox Events
    
    jQuery('#wp-videos-select-all').change(function() {
        if(jQuery(this).is(':checked')) {
            var all_videos = jQuery('.wpv-video-check').length;
            jQuery('.wpv-video-check').attr('checked', true);
            jQuery('#wpv-upload-video-count').text(all_videos);
        } else {
            jQuery('.wpv-video-check').attr('checked', false);
            jQuery('#wpv-upload-video-count').text(0);
        }
        wpv_get_checked_videos();
    })
});

function wpv_pull_video_page(page) {
    jQuery('#wpv-loading-videos').html("Loading videos...").show();
    jQuery('.wp-video-item').remove();
    var videos_per_page = jQuery('#input-videos-per-page').val();
    var pull_only_missing_videos = false;
    jQuery.ajax({
        url: ajaxurl,
        data: {
            'action': 'wp_videos_get_vimeo_page_ajax_request',
            'vimeopage': current_vimeo_page,
            'videosperpage': videos_per_page,
            'missing_only': pull_only_missing_videos
        },
        success:function(data) {
            wpv_reset_fields();
            jQuery('#wpv-loading-videos').hide();
            var vimeo_videos = JSON.parse(data);
            var video_list_html = "";
            if(vimeo_videos.videos.length > 0) {
                jQuery.each(vimeo_videos.videos, function(key, video) {
                    var video_id = video.uri.replace("/videos/", "");
                    var video_thumb = "";
                    if(video.pictures != null && video.pictures.sizes[0].link.length > 0) {
                        video_thumb = video.pictures.sizes[0].link; 
                    }
                    if( video_thumb == "") {
                        video_thumb = wpvsdata.url;
                    }
                    if( video.description == null) {
                        video.description = "<em>No video description</em>";
                    }
                    var video_html = '<tr class="wp-video-item"><td class="wp-video-image"><img src="'+video_thumb+'"/></td><td class="wp-video-title">'+video.name+'</td><td class="wp-video-description">'+video.description+'</td><td class="wpv-video-checkbox"><input class="wpv-video-check" type="checkbox" value="'+video_id+'"/></td></tr>';
                    video_list_html += video_html;
                    
                });
                jQuery('#vimeo-videos-list tbody').append(video_list_html);
            }
            jQuery('#wp-vimeo-page-numbers').html('');
            var add_span;
            var v = current_vimeo_page - 5;
            if(v <= 0) {
                v = 1;
            }
            if(v > 1) {
                jQuery('#wp-vimeo-page-numbers').append('<span data-page="1" class="wpv-page-number">1...</span>');
            }
            while(v <= (current_vimeo_page + 5) && (v <= vimeo_videos.video_pages)) {
                
                if(v == current_vimeo_page) {
                    add_span = '<span data-page="'+v+'" class="active wpv-page-number">'+v+'</span>';
                } else {
                    add_span = '<span data-page="'+v+'" class="wpv-page-number">'+v+'</span>';
                }
                jQuery('#wp-vimeo-page-numbers').append(add_span);
                v++;
            }
            
            if(current_vimeo_page < (vimeo_videos.video_pages - 5)) {
                jQuery('#wp-vimeo-page-numbers').append('<span data-page="'+vimeo_videos.video_pages+'" class="wpv-page-number">...'+vimeo_videos.video_pages+'</span>');
            }
            
            if((vimeo_videos.video_pages) == current_vimeo_page) {
                jQuery('#wp-next-page').hide();
            } else {
                jQuery('#wp-next-page').show();
            }
            
            if(1 == current_vimeo_page) {
                jQuery('#wp-prev-page').hide();
            } 
            
            if(1 < current_vimeo_page) {
                jQuery('#wp-prev-page').show();
            }
            
        },
        error: function(response){
            show_rvs_error(response["responseText"]);
        }
    });
}

function wpv_import_videos(videos_array) {
    jQuery('#wpv-loading-videos').html("Importing videos...").show();
    var videos_per_page = jQuery('#input-videos-per-page').val();
    jQuery('#vimeo-videos-list').hide();
    jQuery.ajax({
        url: ajaxurl,
        data: {
            'action': 'wpv_import_vimeo_videos',
            'vimeopage': current_vimeo_page,
            'videosperpage': videos_per_page,
            'videoarray': videos_array
        },
        success:function(data) {
            var new_text = '<strong>'+data+'</strong> new videos imported.';
            show_rvs_updating(new_text);
            setTimeout(function() {
                jQuery('#wpvs-updating-box').fadeOut();
            }, 1000);
            jQuery('#vimeo-videos-list').show();
            jQuery('#wpv-loading-videos').html("Loading Videos...").hide();
            wpv_reset_fields();
        },
        error: function(response){
            show_rvs_error(response["responseText"]);
        }
    });
}

function wpv_get_checked_videos() {
    add_videos_array = [];
    var count_videos = 0;
    jQuery('.wpv-video-check').each(function(index) {
        if(jQuery(this).is(':checked')) {
            add_videos_array.push(jQuery(this).val());
            count_videos++;
        }
    });
    return count_videos;
}

function wpv_reset_fields() {
    add_videos_array = [];
    jQuery('#wpv-upload-video-count').text(0);
    jQuery('#wp-videos-select-all').attr('checked', false);
    jQuery('.wpv-video-check').attr('checked', false);
}