<?php

function wpvs_update_vimeo_video_thumbnails() {
    $wpvs_video_args = array(
        'post_type' => 'rvs_video',
        'posts_per_page' => -1,
        'nopaging' => true,
        'fields' => 'ids',
        'meta_query' => array(
            array(
                'key' => '_rvs_video_thumbnails',
                'compare' => 'EXISTS'
            ),
            array(
                'key' => 'rvs_video_post_vimeo_id',
                'value' => null,
                'compare' => '!='
            )
        )
    );

    $wpvs_videos = get_posts($wpvs_video_args);
    
    if( ! empty($wpvs_videos) ) {
        foreach($wpvs_videos as $video_id) {
            $rvs_thumbnails = get_post_meta($video_id, '_rvs_video_thumbnails', true);
            $new_thumbnail_image = null;
            $new_featured_image = null;
            if( ! empty($rvs_thumbnails) ) {
                foreach($rvs_thumbnails as $thumbnail) {
                    if( strpos($thumbnail, '640x') ) {
                        $new_thumbnail_image = $thumbnail;
                    }
                    if( strpos($thumbnail, '1920x') ) {
                        $new_featured_image = $thumbnail;
                    }
                }
                
                if( empty($new_thumbnail_image) ) {
                    if(isset($rvs_thumbnails[3])) {
                        $new_thumbnail_image = $rvs_thumbnails[3];
                    }
                    if( empty($new_thumbnail_image) && isset($rvs_thumbnails[2]) ) {
                        $new_thumbnail_image = $rvs_thumbnails[2];
                    }
                }
                
                if( empty($new_featured_image) ) {
                    if(isset($rvs_thumbnails[5])) {
                        $new_featured_image = $rvs_thumbnails[5];
                    }
                    if( empty($new_featured_image) && isset($rvs_thumbnails[4])) {
                        $new_featured_image = $rvs_thumbnails[4];
                    }
                    if(empty($new_featured_image) && isset($rvs_thumbnails[3])) {
                        $new_featured_image = $rvs_thumbnails[3];
                    }
                    if( empty($new_featured_image) && isset($rvs_thumbnails[2]) ) {
                        $new_featured_image = $rvs_thumbnails[2];
                    }
                }
                if( ! empty($new_featured_image) ) {
                    update_post_meta($video_id, 'wpvs_featured_image', $new_featured_image);
                }

                if( ! empty($new_thumbnail_image) ) {
                    update_post_meta($video_id, 'rvs_thumbnail_image', $new_thumbnail_image);
                }
            }
        }
    }
}
add_action('admin_init', 'wpvs_update_vimeo_video_thumbnails');