<?php

function wpvs_update_video_iframes() {
    $wpvs_video_args = array(
        'post_type' => 'rvs_video',
        'posts_per_page' => -1,
        'nopaging' => true,
        'fields' => 'ids'
    );

    $wpvs_videos = get_posts($wpvs_video_args);
    
    if( ! empty($wpvs_videos) ) {
        foreach($wpvs_videos as $video_id) {
            $wpvs_video_type = get_post_meta($video_id, '_rvs_video_type', true);
            $wpvs_trailer_type = get_post_meta($video_id, '_rvs_trailer_type', true);
            $video_title = get_the_title($video_id);

            if($wpvs_video_type == 'vimeo') {
                rvs_update_vimeo_player($video_id, $video_title);
            }
            
            if($wpvs_video_type == 'youtube') {
                rvs_update_youtube_player($video_id);
            }
            
            if( ! empty($wpvs_trailer_type) ) {
                if($wpvs_trailer_type == 'vimeo') {
                    rvs_update_vimeo_trailer($video_id, $video_title);
                }

                if($wpvs_trailer_type == 'youtube') {
                    rvs_update_youtube_trailer($video_id);
                }
            }
            
        }
    }
}
add_action('admin_init', 'wpvs_update_video_iframes');